package nova.monadic_sfx

import java.nio.ByteBuffer

import monix.eval.Task
import monix.reactive.Observable
import sttp.client.SttpBackend
import sttp.client.httpclient.WebSocketHandler

trait AppTypes {
  type HttpBackend =
    SttpBackend[Task, Observable[ByteBuffer], WebSocketHandler]
  type CrossBackend =
    SttpBackend[Task, Observable[ByteBuffer], Nothing]
}
object AppTypes extends AppTypes {}
