#!/usr/bin/env python3

import asyncio
import websockets


async def server(websocket, path):
    while True:
        # Get received data from websocket
        data = await websocket.recv()

        # Send response back to client to acknowledge receiving message
        print("Received data {}".format(data))
        # await websocket.send(data)
        # for i in range(1, 6):
        #     print("Sending item: {}".format(i))
        #     await websocket.send(str(i))

# Create websocket server
start_server = websockets.serve(server, "localhost", 6789)

# Start and run websocket server forever
asyncio.get_event_loop().run_until_complete(start_server)
print("Starting websocket server")
asyncio.get_event_loop().run_forever()
