package nova.monadic_sfx.util.controls

import com.jfoenix.{controls => jfoenixc}
import scalafx.scene.layout.Region
import scalafx.scene.layout.StackPane

class JFXDialog(
    override val delegate: jfoenixc.JFXDialog = new jfoenixc.JFXDialog
) extends StackPane(delegate) {
  def show() = delegate.show()
  def show(sp: StackPane) = delegate.show(sp)
  def content = delegate.getContent()
  def content_=(r: Region) = delegate.setContent(r)
  def overlayClose = delegate.overlayCloseProperty()
  def overlayClose_=(v: Boolean) = delegate.setOverlayClose(v)
  def cacheContainer = delegate.cacheContainerProperty()
  def cacheContainer_=(v: Boolean) = delegate.setCacheContainer(v)
}

object JFXDialog {
  implicit def sfxJfXDialog2Jfx(v: JFXDialog): jfoenixc.JFXDialog = v.delegate
}
